> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smscampaigns texts



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/campaigns/{campaign}/texts
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/campaigns/{campaign}/texts:
    get:
      tags:
        - SmsCampaignTexts
      operationId: sms.campaigns.texts.index
      parameters:
        - name: campaign
          in: path
          required: true
          description: The campaign ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The collection of `SmsCampaignTextData`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SmsCampaignTextData'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    SmsCampaignTextData:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          format: uuid
        created_at:
          type:
            - string
            - 'null'
        updated_at:
          type:
            - string
            - 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/SmsCampaignTextMetaData'
            - type: 'null'
        text:
          type: string
        type:
          $ref: '#/components/schemas/SmsCampaignTextTypeEnum'
        is_active:
          type: boolean
          default: true
      required:
        - id
        - created_at
        - updated_at
        - meta
        - text
        - type
        - is_active
      title: SmsCampaignTextData
    SmsCampaignTextMetaData:
      type: object
      properties:
        instruction:
          type:
            - string
            - 'null'
        max_times_used:
          type:
            - integer
            - 'null'
        texts_in_rotation:
          type:
            - integer
            - 'null'
      required:
        - instruction
        - max_times_used
        - texts_in_rotation
      title: SmsCampaignTextMetaData
    SmsCampaignTextTypeEnum:
      type: string
      enum:
        - manual
        - generated
      title: SmsCampaignTextTypeEnum
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````